//############################################################################
//
// EZFB ~ Linux Frame Buffer API ~
//
// by James Lehman
// james@akrobiz.com
//
// began: Feb. 2001
//
// EZFB is intended to give C programmers an easy-to-use library of functions
// for drawing points, lines and strings of characters into the Linux frame
// buffer. It also provides a means of displaying bitmap images on any portion
// of the screen and capturing the contents of any portion of the screen to
// a standard bitmap graphics file. All of this is embodied in a set of
// functions that are polymorphic with regard to the characteristics of the
// frame buffer and the bitmap files used. In other words, it makes no
// difference what the screen height or width is or what the color depth is,
// all of the function calls are the same and will have appropriate and
// predictable effects.
//
// This software is distributed in the hope that it will be useful, but
// without any warranty; without even the implied warranty of merchantability
// or fitness for a particular purpose. See the GNU General Public License
// for more details.
//
//############################################################################
#ifdef __cplusplus
extern "C"
{
#endif        /* __cplusplus */

#ifndef __EZFB_FONT_REDERING_FUNCTIONS__
#define __EZFB_FONT_REDERING_FUNCTIONS__

//############################################################################

#include "ezfb_types.h"

extern unsigned char ezfb_fontdata_8x8[2048];

//############################################################################
int  ezfb_put_byte_pattern (struct ezfb* fb, char   byte, int x, int y, int fc, int bc, int dir, int size);
int  ezfb_put_ascii        (struct ezfb* fb, char  ascii, int x, int y, int fc, int bc, int dir, int size);
int  ezfb_put_string       (struct ezfb* fb, char*   str, int x, int y, int fc, int bc, int dir, int size);
int  ezfb_printf           (struct ezfb* fb,              int x, int y, int fc, int bc, int dir, int size, const char* text_format, ...);

//############################################################################
#endif

#ifdef __cplusplus
}
#endif        /* __cplusplus */
//############################################################################
//////////////////////////////////////////////////////////////////////////////
//############################################################################




